Subject: Re: [PATCH v3 0/6] ci: improvements to our Rust infrastructure

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Oct 2025 08:21:57 -0700

Patrick Steinhardt <[email-masked]> writes:

> this small patch series introduces some improvements for our Rust
> infrastructure. Most importantly, it introduces a couple of static
> analysis checks to verify consistent formatting, use Clippy for linting
> and to verify our minimum supported Rust version.
>
> Furthermore, this series also introduces support for building with Rust
> enabled on Windows.

The updated structure is definite improvement (although I have no
idea on the Windows part, but presumably that has been written for
and tested on a real Windows box).

Will replace.